﻿$ErrorActionPreference = 'Stop'
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
. $toolsDir\helpers.ps1

# 32bit installer
$url = 'http://download.airsquirrels.com/AirParrot2/Windows/AirParrot2.7.5-32.msi'
# 64bit installer
$url64 = 'http://download.airsquirrels.com/AirParrot2/Windows/AirParrot2.7.5-64.msi'

#only one of these: exe, msi, msu
$version = "2.7.5.0"

$packageArgs = @{
	packageName   = $env:ChocolateyPackageName
	softwareName = 'AirParrot 2'
	unzipLocation = $toolsDir
	installerType = 'msi'
	url           = $url
	url64bit      = $url64
	checksum      = '6410c1b8710913740e8a5e07cd0178abb6546138850949f0e29e0ef28c9c62a0'
	checksumType  = 'sha256' #default is md5, can also be sha1, sha256 or sha512
	checksum64    = '13c785ec471db1a83e8056869a16cd7a38b36159e88e2770718753d19d994bab'
	checksumType64= 'sha256' #default is checksumType
	silentArgs = "/qn /norestart"
	validExitCodes= @(0, 3010, 1641)
}

$alreadyInstalled = (AlreadyInstalled -product $packageArgs['softwareName'] -version '2.7.5.0')

#please insert other valid exit codes here, exit codes for ms http://msdn.microsoft.com/en-us/library/aa368542(VS.85).aspx


if ($alreadyInstalled -and ($env:ChocolateyForce -ne $true)) {
  Write-Output $(
    $packageArgs['softwareName']+" is already installed. " +
    'No need to download and re-install.'
  )
} else {
	Install-ChocolateyPackage @packageArgs
}